<?php

$construction_hub_tp_theme_css = '';

//theme-color
$construction_hub_tp_color_option = get_theme_mod('construction_hub_tp_color_option');

if($construction_hub_tp_color_option != false){
$construction_hub_tp_theme_css .='button[type="submit"],.top-header,.main-navigation .menu > ul > li.highlight,.box:before,.box:after,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,.page-numbers,.prev.page-numbers,.next.page-numbers,span.meta-nav,#theme-sidebar button[type="submit"],#footer button[type="submit"],#comments input[type="submit"],.site-info,.book-tkt-btn a.register-btn,.logo,.search-box i,#our_project i,.box-services i,.toggle-nav button ,.more-btn a,#slider .carousel-control-prev-icon, #slider .carousel-control-next-icon,.main-navigation ul ul a:hover,.error-404 [type="submit"],.wc-block-cart__submit-container a,.wc-block-checkout__actions_row .wc-block-components-checkout-place-order-button,#theme-sidebar .wp-block-search .wp-block-search__label:before,#theme-sidebar h3:before, #theme-sidebar h1.wp-block-heading:before, #theme-sidebar h2.wp-block-heading:before, #theme-sidebar h3.wp-block-heading:before,#theme-sidebar h4.wp-block-heading:before, #theme-sidebar h5.wp-block-heading:before, #theme-sidebar h6.wp-block-heading:before,#theme-sidebar .wp-block-search .wp-block-search__label:before {';
$construction_hub_tp_theme_css .='background: '.esc_attr($construction_hub_tp_color_option).';';
$construction_hub_tp_theme_css .='}';
}
if($construction_hub_tp_color_option != false){
$construction_hub_tp_theme_css .='a,#theme-sidebar .textwidget a,#footer .textwidget a,.comment-body a,.entry-content a,.entry-summary a,.page-template-front-page .media-links a:hover,.topbar-home i.fas.fa-phone-volume,#theme-sidebar h3,.headerbox i,.main-navigation .current_page_item > a,.box-content a,.readmore-btn a,.main-navigation a:hover ,.wp-block-search .wp-block-search__label,#theme-sidebar h3, #theme-sidebar h1.wp-block-heading, #theme-sidebar h2.wp-block-heading, #theme-sidebar h3.wp-block-heading,#theme-sidebar h4.wp-block-heading, #theme-sidebar h5.wp-block-heading, #theme-sidebar h6.wp-block-heading,.box-info i,a.added_to_cart.wc-forward,.main-navigation .current_page_ancestor > a,#theme-sidebar .wp-block-search .wp-block-search__label{';
$construction_hub_tp_theme_css .='color: '.esc_attr($construction_hub_tp_color_option).';';
$construction_hub_tp_theme_css .='}';
}
if($construction_hub_tp_color_option != false){
$construction_hub_tp_theme_css .='.box-services hr,.readmore-btn a {';
	$construction_hub_tp_theme_css .='border-color: '.esc_attr($construction_hub_tp_color_option).';';
$construction_hub_tp_theme_css .='}';
}
if($construction_hub_tp_color_option != false){
$construction_hub_tp_theme_css .='.page-box,#theme-sidebar section {';
    $construction_hub_tp_theme_css .='border-left-color: '.esc_attr($construction_hub_tp_color_option).';';
$construction_hub_tp_theme_css .='}';
}
if($construction_hub_tp_color_option != false){
$construction_hub_tp_theme_css .='.page-box,#theme-sidebar section {';
    $construction_hub_tp_theme_css .='border-bottom-color: '.esc_attr($construction_hub_tp_color_option).';';
$construction_hub_tp_theme_css .='}';
}

//hover color
$construction_hub_tp_color_option_link = get_theme_mod('construction_hub_tp_color_option_link');

if($construction_hub_tp_color_option_link != false){
$construction_hub_tp_theme_css .='.prev.page-numbers:focus, .prev.page-numbers:hover, .next.page-numbers:focus, .next.page-numbers:hover,span.meta-nav:hover, #comments input[type="submit"]:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, #footer button[type="submit"]:hover, #theme-sidebar button[type="submit"]:hover,.book-tkt-btn a.register-btn:hover,.more-btn a:hover,.book-tkt-btn a.bar-btn i:hover,.page-numbers:hover,#slider .carousel-control-prev-icon:hover, #slider .carousel-control-next-icon:hover,#theme-sidebar button[type="submit"]:hover,.wc-block-cart__submit-container a:hover,.menubar,.headerbox,.sidenav ,.main-navigation ul ul, span.page-numbers.current,.search-box i:hover{';
	$construction_hub_tp_theme_css .='background: '.esc_attr($construction_hub_tp_color_option_link).';';
$construction_hub_tp_theme_css .='}';
}
if($construction_hub_tp_color_option_link != false){
$construction_hub_tp_theme_css .='a:hover,#theme-sidebar a:hover,.media-links i:hover,.readmore-btn a:hover ,.box-services h3 ,h1, h2, h3, h4, h5, h6,.post_tag a:hover,#footer .tagcloud a:hover,#footer p.wp-block-tag-cloud a:hover,#footer li a:hover{';
	$construction_hub_tp_theme_css .='color: '.esc_attr($construction_hub_tp_color_option_link).';';
$construction_hub_tp_theme_css .='}';
}
if($construction_hub_tp_color_option_link != false){
$construction_hub_tp_theme_css .='#footer .tagcloud a:hover,.readmore-btn a:hover,.post_tag a:hover,#theme-sidebar .widget_tag_cloud a:hover,#footer p.wp-block-tag-cloud a:hover{';
	$construction_hub_tp_theme_css .='border-color: '.esc_attr($construction_hub_tp_color_option_link).';';
$construction_hub_tp_theme_css .='}';
}
//======================= slider Content layout ===================== //

$construction_hub_slider_content_layout = get_theme_mod('construction_hub_slider_content_layout', 'CENTER-ALIGN'); 
$construction_hub_tp_theme_css .= '#slider .carousel-caption{';
switch ($construction_hub_slider_content_layout) {
    case 'LEFT-ALIGN':
        $construction_hub_tp_theme_css .= 'text-align:left; right: 35%; left: 20%';
        break;
    case 'CENTER-ALIGN':
        $construction_hub_tp_theme_css .= 'text-align:center; left: 25%; right: 25%';
        break;
    case 'RIGHT-ALIGN':
        $construction_hub_tp_theme_css .= 'text-align:right; left: 35%; right: 20%';
        break;
    default:
        $construction_hub_tp_theme_css .= 'text-align:left; right: 35%; left: 20%';
        break;
}
$construction_hub_tp_theme_css .= '}';